
Redmine - Defect #41821

Icons shrink in the Activity view when event titles are long

2024-11-22 03:48 - Mizuki ISHIKAWA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 6.0.2   

Resolution: Fixed Affected version: 6.0.1

Description

When viewing the Activity ppage, if a issue has a title long enough to cause a line break, the icon displayed to its left becomes

smaller in proportion to the title length.

This probrem is not limited to Issue but also affects Wiki pages, News, and other items displayed on the Activity page.

 screenshot 2024-11-22 11.14.43.png 

Related issues:

Has duplicate Redmine - Defect #41875: In 'Account page', section 'Activity' ... Closed

Associated revisions

Revision 23305 - 2024-11-24 08:53 - Go MAEDA

Fix icon shrinking issue in Activity view with long event titles (#41821).

Patch by Mizuki ISHIKAWA (user:ishikawa999).

Revision 23311 - 2024-11-25 15:42 - Go MAEDA

Merged r23305 from trunk to 6.0-stable (#41821).

History

#1 - 2024-11-22 03:52 - Mizuki ISHIKAWA

This probrem seems to be caused by the display: inline-flex; property applied to .icon and .icon-only.

To prevent the size of the SVG icons from shrinking, adding flex-shrink: 0; to the svg element resolves the problem.

diff --git a/app/assets/stylesheets/application.css b/app/assets/stylesheets/application.css

index 68297588e..88afa5d0c 100644

--- a/app/assets/stylesheets/application.css

+++ b/app/assets/stylesheets/application.css

@@ -1742,6 +1742,10 @@ td.gantt_selected_column .gantt_hdr,.gantt_selected_column_container {

   display: inline-flex;

   align-items: center;

   vertical-align: middle;

+

+  svg {

+    flex-shrink: 0;

+  }

 }

 a.icon:hover svg, a.icon-only:hover svg {

#2 - 2024-11-24 08:35 - Go MAEDA

- Status changed from New to Confirmed

- Target version set to 6.0.2

This issue is reproducible when the "Use Gravatar user icons" setting is enabled.

#3 - 2024-11-24 08:55 - Go MAEDA

- Subject changed from Icon size shrinks with long link titles in the Activity view to Icons shrink in the Activity view when event titles are long

- Status changed from Confirmed to Resolved
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix in r23305. Thank you.

#4 - 2024-11-25 15:43 - Go MAEDA

- Status changed from Resolved to Closed

Merged the change into the 6.0-stable branch in r23311.

#5 - 2024-11-27 00:32 - Go MAEDA

- Has duplicate Defect #41875: In 'Account page', section 'Activity' when the text of item of list is too long, the svg icon becomes very small added
